SELECT
    co_portaria,
    sg_orgao,
    nu_portaria,
    ds_orgao_numero_portaria,
    co_plano_orcamentario,
    ds_plano_orcamentario,
    co_tipo_pagamento,
    ds_pagamento,
    co_assunto_portaria,
    ds_assunto_portaria,
    nu_ano_mes,
    nu_codigo_parcela,
    nu_ano_parcela,
    co_ibge,
    vl_gestao_estadual,
    vl_gestao_municipal,
    vl_total_uf,
    st_excepcional
FROM
    dbsismac.vw_tetomac_estatico;
    
select * from dbsismac.tb_pagamento_padrao;    
select * from dbsismac.tb_tipo_pagamento;

select co_municipio_ibge, nu_ano_mes, co_tipo_pagamento, co_gestao_recurso, vl_anual, vl_mensal, nu_codigo_parcela, nu_ano_parcela 
from dbsismac.tb_pagamento_padrao where co_municipio_ibge=350000 and nu_ano_mes=202404;
-- 10.854.572.369,06 - 762.854.742,82




select sum(vl_gestao_estadual_anual) vl_gestao_estadual_anual,
       sum(vl_gestao_municipal_anual) vl_gestao_municipal_anual,
       sum(vl_total_uf_anual) vl_total_uf_anual
from dbsismac.vw_tetomac_estatico_uf where co_ibge=350000 and nu_ano_mes=202404
and "st_excepcional"<>'S'; --4762854742,82	6415559417,04	11.178.414.159,86


/* Exportao de dados*/

-- Teto por Gesto - parcela 5

select pp.co_municipio_ibge, pp.nu_ano_mes, pp.co_tipo_pagamento, tp.ds_pagamento, pp.co_gestao_recurso, gr.ds_gestao_recurso, pp.vl_anual, pp.vl_mensal, pp.nu_codigo_parcela, pp.nu_ano_parcela
from dbsismac.tb_pagamento_padrao pp
inner join dbsismac.tb_tipo_pagamento tp
on tp.co_seq_tipo_pagamento = pp.co_tipo_pagamento
inner join dbsismac.tb_gestao_recurso gr
on gr.co_seq_gestao_recurso = pp.co_gestao_recurso
where pp.nu_ano_mes=202404

-- Comparao entre 2022 e 2023

select pp.co_municipio_ibge, pp.nu_ano_mes, pp.co_tipo_pagamento, tp.ds_pagamento, pp.co_gestao_recurso, gr.ds_gestao_recurso, pp.vl_anual, pp.vl_mensal, pp.nu_codigo_parcela, pp.nu_ano_parcela
from dbsismac.tb_pagamento_padrao pp
inner join dbsismac.tb_tipo_pagamento tp
on tp.co_seq_tipo_pagamento = pp.co_tipo_pagamento
inner join dbsismac.tb_gestao_recurso gr
on gr.co_seq_gestao_recurso = pp.co_gestao_recurso
where pp.nu_ano_parcela in (2022,2023)

-- Todos os dados de teto de 2022, 2023 e 2024

select pp.co_municipio_ibge, pp.nu_ano_mes, pp.co_tipo_pagamento, tp.ds_pagamento, pp.co_gestao_recurso, gr.ds_gestao_recurso, pp.vl_anual, pp.vl_mensal, pp.nu_codigo_parcela, pp.nu_ano_parcela
from dbsismac.tb_pagamento_padrao pp
inner join dbsismac.tb_tipo_pagamento tp
on tp.co_seq_tipo_pagamento = pp.co_tipo_pagamento
inner join dbsismac.tb_gestao_recurso gr
on gr.co_seq_gestao_recurso = pp.co_gestao_recurso
where pp.nu_ano_parcela in (2022,2023,2024);

-- Dados Faec

select * from sisgerf.vw_pagamento_faec;






