/* Extrao dos dados dos municpios*/

SELECT
    m.co_uf_ibge,
    u.co_regiao,
    r.no_regiao,
    m.co_regiao_saude,
    rs.no_regiao_saude,
    m.co_municipio_ibge,
    m.sg_uf,
    m.no_municipio,
    m.no_municipio_acentuado,
    m.st_amazonia,
    m.st_fronteira,
    m.st_seca,
    m.st_semi_arido,
    m.st_calamidade,
    m.st_indigena,
    m.st_capital,
    m.nu_area,
    m.nu_latitude,
    m.nu_longitude,
    m.nu_altitude,
    m.nu_idh,
    m.st_quilombola,
    m.nu_ano_instalacao,
    m.st_ride,
    m.tp_tipologia_pndr,
    m.st_municipio
FROM
    dbgeral.tb_municipio m
    INNER JOIN dbgeral.tb_uf u ON u.co_uf_ibge = m.co_uf_ibge
    inner join dbgeral.tb_regiao r on r.co_regiao = u.co_regiao
    inner join dbgeral.tb_regiao_saude rs on rs.co_seq_regiao_saude = m.co_regiao_saude
WHERE
    m.st_registro_ativo = 'S'
    AND m.st_municipio = 'ATIVO'
ORDER BY
    m.co_municipio_ibge;


select * from dbgeral.tb_municipio;
select * from dbgeral.tb_uf;
select * from dbgeral.tb_regiao;
select * from dbgeral.tb_regiao_saude;